%define	module	Net-DNS-SEC
%define name	perl-%{module}
%define version	0.12
%define release	2mdk

Summary:	DNSSEC support for Net::DNS perl module
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org/
BuildRequires:	perl-devel
BuildRequires:	perl-Crypt-OpenSSL-RSA >= 0.17
BuildRequires:	perl-Crypt-OpenSSL-DSA
BuildRequires:	perl-Digest-SHA1
BuildRequires:	perl-Digest-BubbleBabble
BuildRequires:	perl-Net-DNS
#BuildRequires:	perl-Test-Simple >= 0.47
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

%description
This perl modules implements DNSSEC extensions as described in
rfc 2535, 2931. With it, you can use DS, SIG, KEY and NXT record.

It extends perl-Net-DNS to manipulate these records.

%prep
%setup -q -n %{module}-%{version} 
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%{__make}
#%{__make} test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
%makeinstall_std

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc README demo
%{perl_vendorlib}/Net
%{_mandir}/man?/*
      
%changelog
* Mon Jul 04 2005 Oden Eriksson <oeriksson@mandriva.com> 0.12-2mdk
- rebuild

* Mon Jun 14 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.12-1mdk
- 0.12

* Sun Apr 18 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.11-1mdk
- 0.11
- disable test

* Sat Apr 10 2004 Michael Scherer <misc@mandrake.org> 0.10-5mdk 
- rebuild for new perl
- [DIRM]
- better description

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.10-4mdk
- rebuild for new perl
- don't use PREFIX
- %%module macro
- use %%makeinstall_std macro

* Fri Jul 18 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.10-3mdk
- buildrequires
- don't require perl modules, rpm will figure out those dependencies by
  itself now

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.10-2mdk
- rebuild for new auto{prov,req}

* Sat Apr 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10-1mdk
- 0.10
- misc spec file fixes

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.08-2mdk
- build release

* Tue Nov 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.08-1mdk
- initial cooker contrib.
